package com.mx.dla.dda.ncredito.general.dtos;

import com.mx.dla.global.dtos.BaseDTO;

public class ContratoTitulo extends BaseDTO {

	private static final long serialVersionUID = -726725370158679080L;

	private Long              idTituloCnt;
	private String            descTitulo;
	private String            estatus;
	private Integer           bajaPerdida;
	private String            costo;
	private Long              idContrato;
	private String            numeroContrato;
	private Long              idEstudio;
	private String            idSap;
	private String            claveIva;
	private String 			  monto;
	private Integer           tipoTitulo;

	public Long getIdTituloCnt() {
		return idTituloCnt;
	}

	public void setIdTituloCnt(Long idTituloCnt) {
		this.idTituloCnt = idTituloCnt;
	}

	public String getDescTitulo() {
		return descTitulo;
	}

	public void setDescTitulo(String descTitulo) {
		this.descTitulo = descTitulo;
	}

	public String getEstatus() {
		return estatus;
	}

	public void setEstatus(String estatus) {
		this.estatus = estatus;
	}

	public Integer getBajaPerdida() {
		return bajaPerdida;
	}

	public void setBajaPerdida(Integer bajaPerdida) {
		this.bajaPerdida = bajaPerdida;
	}

	public String getCosto() {
		return costo;
	}

	public void setCosto(String costo) {
		this.costo = costo;
	}

	public Long getIdContrato() {
		return idContrato;
	}

	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}

	public String getNumeroContrato() {
		return numeroContrato;
	}

	public void setNumeroContrato(String numeroContrato) {
		this.numeroContrato = numeroContrato;
	}

	public Long getIdEstudio() {
		return idEstudio;
	}

	public void setIdEstudio(Long idEstudio) {
		this.idEstudio = idEstudio;
	}

	public String getIdSap() {
		return idSap;
	}

	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}

	public String getClaveIva() {
		return claveIva;
	}

	public void setClaveIva(String claveIva) {
		this.claveIva = claveIva;
	}
	
	public String getMonto() {
		return monto;
	}

	public void setMonto(String monto) {
		this.monto = monto;
	}
	
	
	
	

	public Integer getTipoTitulo() {
		return tipoTitulo;
	}

	public void setTipoTitulo(Integer tipoTitulo) {
		this.tipoTitulo = tipoTitulo;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((bajaPerdida == null) ? 0 : bajaPerdida.hashCode());
		result = prime * result + ((claveIva == null) ? 0 : claveIva.hashCode());
		result = prime * result + ((costo == null) ? 0 : costo.hashCode());
		result = prime * result + ((descTitulo == null) ? 0 : descTitulo.hashCode());
		result = prime * result + ((estatus == null) ? 0 : estatus.hashCode());
		result = prime * result + ((idContrato == null) ? 0 : idContrato.hashCode());
		result = prime * result + ((idEstudio == null) ? 0 : idEstudio.hashCode());
		result = prime * result + ((idSap == null) ? 0 : idSap.hashCode());
		result = prime * result + ((idTituloCnt == null) ? 0 : idTituloCnt.hashCode());
		result = prime * result + ((numeroContrato == null) ? 0 : numeroContrato.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (getClass() != obj.getClass())
			return false;
		ContratoTitulo other = (ContratoTitulo) obj;
		if (bajaPerdida == null) {
			if (other.bajaPerdida != null)
				return false;
		}
		else if (!bajaPerdida.equals(other.bajaPerdida))
			return false;
		if (claveIva == null) {
			if (other.claveIva != null)
				return false;
		}
		else if (!claveIva.equals(other.claveIva))
			return false;
		if (costo == null) {
			if (other.costo != null)
				return false;
		}
		else if (!costo.equals(other.costo))
			return false;
		if (descTitulo == null) {
			if (other.descTitulo != null)
				return false;
		}
		else if (!descTitulo.equals(other.descTitulo))
			return false;
		if (estatus == null) {
			if (other.estatus != null)
				return false;
		}
		else if (!estatus.equals(other.estatus))
			return false;
		if (idContrato == null) {
			if (other.idContrato != null)
				return false;
		}
		else if (!idContrato.equals(other.idContrato))
			return false;
		if (idEstudio == null) {
			if (other.idEstudio != null)
				return false;
		}
		else if (!idEstudio.equals(other.idEstudio))
			return false;
		if (idSap == null) {
			if (other.idSap != null)
				return false;
		}
		else if (!idSap.equals(other.idSap))
			return false;
		if (idTituloCnt == null) {
			if (other.idTituloCnt != null)
				return false;
		}
		else if (!idTituloCnt.equals(other.idTituloCnt))
			return false;
		if (numeroContrato == null) {
			if (other.numeroContrato != null)
				return false;
		}
		else if (!numeroContrato.equals(other.numeroContrato))
			return false;
		return true;
	}


}
